# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v0.13.2](https://github.com/qawolf/qawolf/compare/v0.13.1...v0.13.2) - 2020-04-14

### Merged

- Support playwright-chromium, playwright-firefox, playwright-webkit [`#577`](https://github.com/qawolf/qawolf/pull/577)
- Change watch -&gt; watchAll [`#576`](https://github.com/qawolf/qawolf/pull/576)

## [v0.13.1](https://github.com/qawolf/qawolf/compare/v0.13.0...v0.13.1) - 2020-04-10

### Merged

- update playwright-html-selector [`#573`](https://github.com/qawolf/qawolf/pull/573)
- fix: repl page context on duplicate runs [`#572`](https://github.com/qawolf/qawolf/pull/572)
- Remove QAW_ATTRIBUTE environment variable [`#571`](https://github.com/qawolf/qawolf/pull/571)
- Improve docs [`#570`](https://github.com/qawolf/qawolf/pull/570)
- ❄️deflake create test [`#569`](https://github.com/qawolf/qawolf/pull/569)
- Ignore click events on elements that are not visible [`#568`](https://github.com/qawolf/qawolf/pull/568)
- update docusaurus [`#565`](https://github.com/qawolf/qawolf/pull/565)

## [v0.13.0](https://github.com/qawolf/qawolf/compare/v0.12.5-0...v0.13.0) - 2020-04-09

### Merged

- cqa: prepare for 0.13.0 release [`#564`](https://github.com/qawolf/qawolf/pull/564)
- 🎭Update playwright to 0.13.0 [`#563`](https://github.com/qawolf/qawolf/pull/563)
- ✅Replace flaky create end-to-end test [`#561`](https://github.com/qawolf/qawolf/pull/561)
- 🚢 Update docs for release [`#560`](https://github.com/qawolf/qawolf/pull/560)
- WatchPlugin: force trigger a test re-run [`#559`](https://github.com/qawolf/qawolf/pull/559)
- Fix browser not closing properly [`#558`](https://github.com/qawolf/qawolf/pull/558)
- SelectorFileUpdater: remove lock, add more logs [`#557`](https://github.com/qawolf/qawolf/pull/557)
- Include summary in README [`#556`](https://github.com/qawolf/qawolf/pull/556)

## [v0.12.5-0](https://github.com/qawolf/qawolf/compare/v0.12.4...v0.12.5-0) - 2020-04-07

### Merged

- TemplateFunction allow returning promise [`#554`](https://github.com/qawolf/qawolf/pull/554)
- 👀npx qawolf edit & watch mode [`#541`](https://github.com/qawolf/qawolf/pull/541)
- 🤗Move playwright-utils into qawolf [`#542`](https://github.com/qawolf/qawolf/pull/542)
- Include Playwright types in TypeScript tests [`#540`](https://github.com/qawolf/qawolf/pull/540)

### Fixed

- SelectorFileUpdater: discard only when QAW_CREATE = 'true' [`#546`](https://github.com/qawolf/qawolf/issues/546)

## [v0.12.4](https://github.com/qawolf/qawolf/compare/v0.12.3...v0.12.4) - 2020-03-25

### Merged

- Update to Playwright 0.12.1 [`#539`](https://github.com/qawolf/qawolf/pull/539)
- add tests for prompt to make sure node 10.x works [`#537`](https://github.com/qawolf/qawolf/pull/537)
- Use YouTube videos everywhere else in docs [`#535`](https://github.com/qawolf/qawolf/pull/535)
- Use YouTube videos in docs [`#534`](https://github.com/qawolf/qawolf/pull/534)
- create-qawolf: fix playwright version [`#533`](https://github.com/qawolf/qawolf/pull/533)
- Minor docs fixes [`#532`](https://github.com/qawolf/qawolf/pull/532)

## [v0.12.3](https://github.com/qawolf/qawolf/compare/v0.12.3-4...v0.12.3) - 2020-03-20

### Merged

- Update docs for 0.12.3 [`#528`](https://github.com/qawolf/qawolf/pull/528)
- dont add jest to create-react-app [`#531`](https://github.com/qawolf/qawolf/pull/531)
- remove `npx qawolf ci` [`#530`](https://github.com/qawolf/qawolf/pull/530)
- support "yarn create qawolf" [`#529`](https://github.com/qawolf/qawolf/pull/529)

## [v0.12.3-4](https://github.com/qawolf/qawolf/compare/v0.12.3-3...v0.12.3-4) - 2020-03-20

### Merged

- Fix imports [`#527`](https://github.com/qawolf/qawolf/pull/527)

## [v0.12.3-3](https://github.com/qawolf/qawolf/compare/v0.12.3-1...v0.12.3-3) - 2020-03-20

### Commits

- create-qawolf: reference all dependency versions from package.json so we don't need to rebuild [`02ef15a`](https://github.com/qawolf/qawolf/commit/02ef15adeb2120a724983f0d9c638db8920515cd)
- include ts-jest.config.json 🤦 [`3e978f2`](https://github.com/qawolf/qawolf/commit/3e978f21eedff09e1b5561060b8c9ac6a1f54584)
- create-qawolf: 0.12.3-2 [`e9697be`](https://github.com/qawolf/qawolf/commit/e9697be189c922aedcb188dd5a4aac3816609aa0)

## [v0.12.3-1](https://github.com/qawolf/qawolf/compare/v0.12.3-0...v0.12.3-1) - 2020-03-20

### Commits

- update changelog [`4dc5e7a`](https://github.com/qawolf/qawolf/commit/4dc5e7a5c308ae56063893112a493a1682fc2c1d)
- include ts-jest.config.json 🤦 [`4e0b4d8`](https://github.com/qawolf/qawolf/commit/4e0b4d8f33a4c223afe631161c7f0fdb3bf705a9)
- create-qawolf: 0.12.3-0 [`2ad7718`](https://github.com/qawolf/qawolf/commit/2ad77186f340dddd7500c689ef803617ff275618)

## [v0.12.3-0](https://github.com/qawolf/qawolf/compare/v0.12.2...v0.12.3-0) - 2020-03-20

### Merged

- 🏁Improve install experience [`#524`](https://github.com/qawolf/qawolf/pull/524)
- move sandbox to packages subfolder [`#520`](https://github.com/qawolf/qawolf/pull/520)
- ⚙️Configure with qawolf.config.js [`#519`](https://github.com/qawolf/qawolf/pull/519)

## [v0.12.2](https://github.com/qawolf/qawolf/compare/v0.12.1...v0.12.2) - 2020-03-16

### Merged

- Fix "npx qawolf create" for windows and add more tests [`#518`](https://github.com/qawolf/qawolf/pull/518)

## [v0.12.1](https://github.com/qawolf/qawolf/compare/v0.12.0...v0.12.1) - 2020-03-15

### Merged

- Update README [`#508`](https://github.com/qawolf/qawolf/pull/508)
- Final docs pass [`#509`](https://github.com/qawolf/qawolf/pull/509)

## [v0.12.0](https://github.com/qawolf/qawolf/compare/v0.12.0-beta.4...v0.12.0) - 2020-03-12

### Commits

- Update artifacts video [`19ad38f`](https://github.com/qawolf/qawolf/commit/19ad38f50d88e277c15532c3a0db98115b953f83)

## [v0.12.0-beta.4](https://github.com/qawolf/qawolf/compare/v0.12.0-beta.3...v0.12.0-beta.4) - 2020-03-11

### Commits

- Update CI docs (except video) [`052090c`](https://github.com/qawolf/qawolf/commit/052090cafd87099368e53dcffa2acfe25f138eef)
- Fix typo [`c20c310`](https://github.com/qawolf/qawolf/commit/c20c31091f7d32a87ab56f41bb538b61a91e2be0)
- Add additional uses cases to table [`0cd58c6`](https://github.com/qawolf/qawolf/commit/0cd58c6f84499734239000b4e117dd1ea420fa1b)

## [v0.12.0-beta.3](https://github.com/qawolf/qawolf/compare/v0.12.0-beta.2...v0.12.0-beta.3) - 2020-03-11

### Merged

- Update guides [`#505`](https://github.com/qawolf/qawolf/pull/505)
- Fix artifacts [`#507`](https://github.com/qawolf/qawolf/pull/507)
- Add e2e tests [`#506`](https://github.com/qawolf/qawolf/pull/506)

## [v0.12.0-beta.2](https://github.com/qawolf/qawolf/compare/v0.12.0-beta.1...v0.12.0-beta.2) - 2020-03-10

### Commits

- fix dependency node requirement [`b95ea6e`](https://github.com/qawolf/qawolf/commit/b95ea6e7a1e09d4af3faccee490ece5ba4f6554e)

## [v0.12.0-beta.1](https://github.com/qawolf/qawolf/compare/v0.12.0-beta.0...v0.12.0-beta.1) - 2020-03-10

### Commits

- fix url default [`85e595b`](https://github.com/qawolf/qawolf/commit/85e595b98a549150ce4b4c27d7efc92f459c054e)
- relax node requirement [`d40abad`](https://github.com/qawolf/qawolf/commit/d40abad431eada563ef02309846b0cf4c33c0117)

## [v0.12.0-beta.0](https://github.com/qawolf/qawolf/compare/v0.12.0-alpha.1...v0.12.0-beta.0) - 2020-03-10

### Merged

- Set qawolf on repl context [`#504`](https://github.com/qawolf/qawolf/pull/504)
- Improve cli [`#503`](https://github.com/qawolf/qawolf/pull/503)
- Update Get Started docs [`#502`](https://github.com/qawolf/qawolf/pull/502)
- Name selectors [`#501`](https://github.com/qawolf/qawolf/pull/501)
- Update API docs [`#500`](https://github.com/qawolf/qawolf/pull/500)

## [v0.12.0-alpha.1](https://github.com/qawolf/qawolf/compare/v0.12.0-alpha.0...v0.12.0-alpha.1) - 2020-03-09

### Merged

- Support multiple pages [`#498`](https://github.com/qawolf/qawolf/pull/498)
- Handle invalid script names [`#497`](https://github.com/qawolf/qawolf/pull/497)
- Create playwright-utils scroll action [`#496`](https://github.com/qawolf/qawolf/pull/496)
- Use html and body tags in CSS selectors [`#495`](https://github.com/qawolf/qawolf/pull/495)
- ⌨️ Vanilla playwright keyboard [`#491`](https://github.com/qawolf/qawolf/pull/491)

## [v0.12.0-alpha.0](https://github.com/qawolf/qawolf/compare/v0.9.3...v0.12.0-alpha.0) - 2020-03-06

### Merged

- 🚢Release 0.12.0-alpha.0 [`#472`](https://github.com/qawolf/qawolf/pull/472)
- npx qawolf create [`#486`](https://github.com/qawolf/qawolf/pull/486)
- Consume QAW_ATTRIBUTE [`#487`](https://github.com/qawolf/qawolf/pull/487)
- statePath option in create cli [`#485`](https://github.com/qawolf/qawolf/pull/485)
- createplaywright -&gt; qawolf [`#484`](https://github.com/qawolf/qawolf/pull/484)
- ✏️qawolf.create() [`#478`](https://github.com/qawolf/qawolf/pull/478)
- Add regex support to attribute [`#480`](https://github.com/qawolf/qawolf/pull/480)
- Include ancestor data attributes if selector not unique [`#479`](https://github.com/qawolf/qawolf/pull/479)
- Create tests and scripts [`#477`](https://github.com/qawolf/qawolf/pull/477)
- Add create-code [`#476`](https://github.com/qawolf/qawolf/pull/476)
- Add back sandbox [`#475`](https://github.com/qawolf/qawolf/pull/475)
- Add CI setup commands [`#474`](https://github.com/qawolf/qawolf/pull/474)

## [v0.9.3](https://github.com/qawolf/qawolf/compare/v0.9.3-alpha.0...v0.9.3) - 2020-02-24

### Merged

- type: move caret to end of text input [`#456`](https://github.com/qawolf/qawolf/pull/456)

## [v0.9.3-alpha.0](https://github.com/qawolf/qawolf/compare/v0.9.2...v0.9.3-alpha.0) - 2020-02-24

### Merged

- Record mousedown & click events, rank group to pick best selector [`#454`](https://github.com/qawolf/qawolf/pull/454)
- Refactor recorder [`#453`](https://github.com/qawolf/qawolf/pull/453)
- Update docs for release [`#451`](https://github.com/qawolf/qawolf/pull/451)
- buildCssSelector: target the clickable descendant [`#450`](https://github.com/qawolf/qawolf/pull/450)
- 🏖 Move tests from the internet to sandbox [`#436`](https://github.com/qawolf/qawolf/pull/436)
- 🖱️Record mousedown instead of click. Use Playwright click by default. [`#431`](https://github.com/qawolf/qawolf/pull/431)
- ♻️Add browser argument and export script method [`#433`](https://github.com/qawolf/qawolf/pull/433)
- 🐛Allow passing --config to qawolf test [`#435`](https://github.com/qawolf/qawolf/pull/435)
- 📹Capture after activating first page [`#434`](https://github.com/qawolf/qawolf/pull/434)
- 🌲 Use attribute on ancestor as selector [`#430`](https://github.com/qawolf/qawolf/pull/430)
- ⌨️ type(..., { replace: true}) when entire text value is selected [`#428`](https://github.com/qawolf/qawolf/pull/428)
- ⌨️ Do not clear in type by default 🏖️ Add comprehensive tests for type against sandbox [`#426`](https://github.com/qawolf/qawolf/pull/426)
- 📆 Add date and time pickers to sandbox [`#422`](https://github.com/qawolf/qawolf/pull/422)
- 🏖️ Add sandbox with material-ui and other common frameworks for tests [`#421`](https://github.com/qawolf/qawolf/pull/421)
- ✅Add e2e test against sandbox [`#420`](https://github.com/qawolf/qawolf/pull/420)
- fix: 🌎Specifying browsers fails on Windows #410 [`#414`](https://github.com/qawolf/qawolf/pull/414)

### Fixed

- ♻️Use name as is, do not force camelCase [`#439`](https://github.com/qawolf/qawolf/issues/439)
- ♻️Use name as is, do not force camelCase [`#439`](https://github.com/qawolf/qawolf/issues/439)

## [v0.9.2](https://github.com/qawolf/qawolf/compare/v0.9.1...v0.9.2) - 2020-02-13

### Merged

- fix: bring page to front when launching a browser [`#409`](https://github.com/qawolf/qawolf/pull/409)

### Fixed

- add changelog (we will improve it over time) [`#369`](https://github.com/qawolf/qawolf/issues/369)

## [v0.9.1](https://github.com/qawolf/qawolf/compare/v0.9.0...v0.9.1) - 2020-02-13

### Merged

- fix: clear content editable [`#407`](https://github.com/qawolf/qawolf/pull/407)
- add gif to README [`#400`](https://github.com/qawolf/qawolf/pull/400)

## [v0.9.0](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.6...v0.9.0) - 2020-02-10

### Merged

- Update README [`#392`](https://github.com/qawolf/qawolf/pull/392)
- Docs revamp [`#370`](https://github.com/qawolf/qawolf/pull/370)

## [v0.9.0-beta.6](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.5...v0.9.0-beta.6) - 2020-02-10

### Merged

- do not wait for navigation before creating test [`#391`](https://github.com/qawolf/qawolf/pull/391)

## [v0.9.0-beta.5](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.4...v0.9.0-beta.5) - 2020-02-10

## [v0.9.0-beta.4](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.3...v0.9.0-beta.4) - 2020-02-10

### Merged

- Update type expression in realtime [`#390`](https://github.com/qawolf/qawolf/pull/390)

## [v0.9.0-beta.3](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.2...v0.9.0-beta.3) - 2020-02-09

### Commits

- update commander [`cd648c7`](https://github.com/qawolf/qawolf/commit/cd648c7e1ca3e66f243673e2caaeefd2988612d5)
- First pass at Use the REPL doc [`ae9ad5c`](https://github.com/qawolf/qawolf/commit/ae9ad5c8896166c434ceb3adbeea9be1d4386ee3)
- Update Add Assertions to use Playwright API directly [`b14fc25`](https://github.com/qawolf/qawolf/commit/b14fc25a7d7b785f764aaecea9bea0a473204e8d)

## [v0.9.0-beta.2](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.1...v0.9.0-beta.2) - 2020-02-08

### Merged

- Fix multi-page test generation [`#387`](https://github.com/qawolf/qawolf/pull/387)

## [v0.9.0-beta.1](https://github.com/qawolf/qawolf/compare/v0.9.0-beta.0...v0.9.0-beta.1) - 2020-02-08

### Merged

- Use peerDependencies for common dependencies [`#384`](https://github.com/qawolf/qawolf/pull/384)

## [v0.9.0-beta.0](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.7...v0.9.0-beta.0) - 2020-02-08

### Merged

- 👷Create code in realtime [`#380`](https://github.com/qawolf/qawolf/pull/380)

## [v0.9.0-alpha.7](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.6...v0.9.0-alpha.7) - 2020-02-04

### Merged

- 💻Use REPL while creating a test [`#377`](https://github.com/qawolf/qawolf/pull/377)
- repl() to open repl [`#373`](https://github.com/qawolf/qawolf/pull/373)

## [v0.9.0-alpha.6](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.5...v0.9.0-alpha.6) - 2020-02-03

### Merged

- Puppeteer -&gt; Playwright [`#352`](https://github.com/qawolf/qawolf/pull/352)

### Fixed

- add npx qawolf bitbucket [`#356`](https://github.com/qawolf/qawolf/issues/356)

## [v0.9.0-alpha.5](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.4...v0.9.0-alpha.5) - 2020-02-02

### Commits

- docker: switch to ubuntu base [`d39b99f`](https://github.com/qawolf/qawolf/commit/d39b99f53985a75a12eec5b8145cf39f33ecc31a)
- justify no-sandbox [`b7fe915`](https://github.com/qawolf/qawolf/commit/b7fe915456bfe5a8318d68419221e53d8c7a62f9)

## [v0.9.0-alpha.4](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.3...v0.9.0-alpha.4) - 2020-02-02

### Fixed

- switch to upstream ffmpeg-static [`#365`](https://github.com/qawolf/qawolf/issues/365)

## [v0.9.0-alpha.3](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.2...v0.9.0-alpha.3) - 2020-02-02

### Commits

- bring chromium pages to front [`dc83e93`](https://github.com/qawolf/qawolf/commit/dc83e93a11143e01bd08612f9d1c4e29c8b7c8a8)
- store artifacts under the name of the browser being tested [`9083715`](https://github.com/qawolf/qawolf/commit/9083715643cfd0dc7d257cdf2649868df7e8780b)

## [v0.9.0-alpha.2](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.1...v0.9.0-alpha.2) - 2020-02-01

### Commits

- sleep in between retry execution error [`a2a5129`](https://github.com/qawolf/qawolf/commit/a2a512954989cd8fb572bb881998ed765ab64bec)

## [v0.9.0-alpha.1](https://github.com/qawolf/qawolf/compare/v0.9.0-alpha.0...v0.9.0-alpha.1) - 2020-02-01

### Commits

- waitFor: support promises [`fc3320a`](https://github.com/qawolf/qawolf/commit/fc3320a3b958aea3e1c41d67662f2dc49743c5e2)

## [v0.9.0-alpha.0](https://github.com/qawolf/qawolf/compare/v0.8.3...v0.9.0-alpha.0) - 2020-02-01

### Commits

- upgrade playwright to 0.10.0 [`4b54da6`](https://github.com/qawolf/qawolf/commit/4b54da6c349fa459b1125a7bbbc0dabcd5c7a3bc)
- use screen for display env variable [`f33396d`](https://github.com/qawolf/qawolf/commit/f33396d18ab14bd494e060196bcd80cb86815658)
- consolidate QAWolfBrowserContext create logic [`91ee360`](https://github.com/qawolf/qawolf/commit/91ee36022ddc5d42521faf21937c2727b2c5208c)

## [v0.8.3](https://github.com/qawolf/qawolf/compare/v0.8.2...v0.8.3) - 2020-01-31

### Merged

- Fix simulate click for elements without click() method 🤷 [`#364`](https://github.com/qawolf/qawolf/pull/364)
- add data-cy to default QAW_ATTRIBUTE [`#363`](https://github.com/qawolf/qawolf/pull/363)

## [v0.8.2](https://github.com/qawolf/qawolf/compare/v0.8.1...v0.8.2) - 2020-01-24

### Merged

- Record local docker [`#351`](https://github.com/qawolf/qawolf/pull/351)
- fix getClickableAncestor to work for multiple attributes [`#343`](https://github.com/qawolf/qawolf/pull/343)

## [v0.8.1](https://github.com/qawolf/qawolf/compare/v0.8.0...v0.8.1) - 2020-01-20

### Merged

- Fix windows tests [`#339`](https://github.com/qawolf/qawolf/pull/339)
- download compressed ffmpeg [`#338`](https://github.com/qawolf/qawolf/pull/338)
- Simulate click by default [`#334`](https://github.com/qawolf/qawolf/pull/334)
- Remove node xvfb dependency [`#337`](https://github.com/qawolf/qawolf/pull/337)
- feat(cli): Add path option [`#335`](https://github.com/qawolf/qawolf/pull/335)
- QAW_ATTRIBUTE: support multiple attributes [`#328`](https://github.com/qawolf/qawolf/pull/328)
- 😴Sleep before close [`#327`](https://github.com/qawolf/qawolf/pull/327)
- Add "npx qawolf jenkins" [`#326`](https://github.com/qawolf/qawolf/pull/326)
- use slimmer @qawolf/ffmpeg-static [`#325`](https://github.com/qawolf/qawolf/pull/325)
- runJest: override config [`#324`](https://github.com/qawolf/qawolf/pull/324)

### Fixed

- use slimmer @qawolf/ffmpeg-static [`#316`](https://github.com/qawolf/qawolf/issues/316)

## [v0.8.0](https://github.com/qawolf/qawolf/compare/v0.8.0-alpha.2...v0.8.0) - 2020-01-11

### Merged

- Update ci templates for 0.8.0 [`#321`](https://github.com/qawolf/qawolf/pull/321)

## [v0.8.0-alpha.2](https://github.com/qawolf/qawolf/compare/v0.8.0-alpha.1...v0.8.0-alpha.2) - 2020-01-10

### Merged

- Fix various issues [`#319`](https://github.com/qawolf/qawolf/pull/319)

## [v0.8.0-alpha.1](https://github.com/qawolf/qawolf/compare/v0.8.0-alpha.0...v0.8.0-alpha.1) - 2020-01-10

### Merged

- Improve backwards compatibility with 0.7.0 [`#318`](https://github.com/qawolf/qawolf/pull/318)
- Fix cache by always installing ffmpeg-static [`#314`](https://github.com/qawolf/qawolf/pull/314)
- Fix 'Invalid command "create"' error in README.md [`#312`](https://github.com/qawolf/qawolf/pull/312)
- 🖼️Run tests on windows [`#310`](https://github.com/qawolf/qawolf/pull/310)
- Fix qawolf test exit code [`#309`](https://github.com/qawolf/qawolf/pull/309)
- test node v10 and node v12 [`#308`](https://github.com/qawolf/qawolf/pull/308)

## [v0.8.0-alpha.0](https://github.com/qawolf/qawolf/compare/v0.7.11...v0.8.0-alpha.0) - 2020-01-06

### Merged

- 💬Add comments to generated script code [`#305`](https://github.com/qawolf/qawolf/pull/305)
- feat(cli): Notify users if an update is available [`#303`](https://github.com/qawolf/qawolf/pull/303)
- 🖥Parallel displays in CI + 😌Remove docker dependency [`#286`](https://github.com/qawolf/qawolf/pull/286)
- Tutorial: Use a test attribute [`#301`](https://github.com/qawolf/qawolf/pull/301)
- When finding by attribute, inline result in code [`#297`](https://github.com/qawolf/qawolf/pull/297)
- change Selector to be a union type [`#295`](https://github.com/qawolf/qawolf/pull/295)
- Rename qawolf record -&gt; qawolf create [`#293`](https://github.com/qawolf/qawolf/pull/293)
- Test Different Devices doc [`#290`](https://github.com/qawolf/qawolf/pull/290)
- Restructure docs [`#288`](https://github.com/qawolf/qawolf/pull/288)
- Fix record command in Get Started doc and add section on contributing to docs [`#285`](https://github.com/qawolf/qawolf/pull/285)

## [v0.7.11](https://github.com/qawolf/qawolf/compare/v0.7.10...v0.7.11) - 2019-12-28

### Merged

- qawolf record --device "iPhone 7" [`#275`](https://github.com/qawolf/qawolf/pull/275)

## [v0.7.10](https://github.com/qawolf/qawolf/compare/v0.7.9...v0.7.10) - 2019-12-28

### Merged

- Expose launch options.device and options.size [`#273`](https://github.com/qawolf/qawolf/pull/273)
- 🐺🎁 [`#269`](https://github.com/qawolf/qawolf/pull/269)
- feat(chore): configure pre-commit hook [`#238`](https://github.com/qawolf/qawolf/pull/238)

## [v0.7.9](https://github.com/qawolf/qawolf/compare/v0.7.8...v0.7.9) - 2019-12-23

### Merged

- override transform to prevent using external babel-jest [`#271`](https://github.com/qawolf/qawolf/pull/271)
- Home page revamp [`#267`](https://github.com/qawolf/qawolf/pull/267)

## [v0.7.8](https://github.com/qawolf/qawolf/compare/v0.7.7...v0.7.8) - 2019-12-21

### Merged

- Docker: add docker-host to hosts [`#266`](https://github.com/qawolf/qawolf/pull/266)
- Simplify readme [`#260`](https://github.com/qawolf/qawolf/pull/260)

## [v0.7.7](https://github.com/qawolf/qawolf/compare/v0.7.6...v0.7.7) - 2019-12-20

### Merged

- Increase hot key held threshold to 500ms [`#256`](https://github.com/qawolf/qawolf/pull/256)

## [v0.7.6](https://github.com/qawolf/qawolf/compare/v0.7.5...v0.7.6) - 2019-12-20

### Merged

- Do not skip click before type events [`#248`](https://github.com/qawolf/qawolf/pull/248)

## [v0.7.5](https://github.com/qawolf/qawolf/compare/v0.7.4...v0.7.5) - 2019-12-20

### Merged

- ⌨️Improve recorder hotkey support [`#244`](https://github.com/qawolf/qawolf/pull/244)

## [v0.7.4](https://github.com/qawolf/qawolf/compare/v0.7.3...v0.7.4) - 2019-12-19

### Merged

- use sendCharacter for keys that are single characters [`#241`](https://github.com/qawolf/qawolf/pull/241)
- 🇹How to use Typescript  [`#239`](https://github.com/qawolf/qawolf/pull/239)
- Escape single quote characters in test name [`#237`](https://github.com/qawolf/qawolf/pull/237)

## [v0.7.3](https://github.com/qawolf/qawolf/compare/v0.7.2...v0.7.3) - 2019-12-13

### Merged

- fix queryElements type to be Element [`#234`](https://github.com/qawolf/qawolf/pull/234)
- faq: clarify testing tools stance [`#233`](https://github.com/qawolf/qawolf/pull/233)
- Add padding to first line on home page [`#232`](https://github.com/qawolf/qawolf/pull/232)
- 📚Move docs into this repo [`#231`](https://github.com/qawolf/qawolf/pull/231)
- Update readme for 0.7.x [`#227`](https://github.com/qawolf/qawolf/pull/227)

## [v0.7.2](https://github.com/qawolf/qawolf/compare/v0.7.1...v0.7.2) - 2019-12-13

### Merged

- findText: find the best matching element and make it case sensitive [`#230`](https://github.com/qawolf/qawolf/pull/230)
- Clean API [`#229`](https://github.com/qawolf/qawolf/pull/229)

## [v0.7.1](https://github.com/qawolf/qawolf/compare/v0.7.0...v0.7.1) - 2019-12-11

### Merged

- Export missing helpers, fix small bugs [`#228`](https://github.com/qawolf/qawolf/pull/228)

## [v0.7.0](https://github.com/qawolf/qawolf/compare/v0.7.0-alpha.1...v0.7.0) - 2019-12-09

### Merged

- ⌨️Improve simplifyStrokes [`#226`](https://github.com/qawolf/qawolf/pull/226)
- 🧹Clean API 🤖 qawolf record --script [`#224`](https://github.com/qawolf/qawolf/pull/224)

## [v0.7.0-alpha.1](https://github.com/qawolf/qawolf/compare/v0.7.0-alpha.0...v0.7.0-alpha.1) - 2019-12-09

### Commits

- find: element not found immediately retry [`0279f36`](https://github.com/qawolf/qawolf/commit/0279f3614ff50f6a4f9780391c778e448ee8e9df)
- default selectElement and scrollElement timeoutMs to QAW_FIND_TIMEOUT_MS [`c4794b5`](https://github.com/qawolf/qawolf/commit/c4794b5898df639b5eeb4c785f302d8d3a00696a)

## [v0.7.0-alpha.0](https://github.com/qawolf/qawolf/compare/v0.6.0...v0.7.0-alpha.0) - 2019-12-08

### Merged

- Browser.find: retryExecutionError [`#223`](https://github.com/qawolf/qawolf/pull/223)

## [v0.6.0](https://github.com/qawolf/qawolf/compare/v0.6.0-alpha.0...v0.6.0) - 2019-12-04

### Merged

- 🐛currentPage should not choose a closed page [`#218`](https://github.com/qawolf/qawolf/pull/218)
- ✏️Inline values in test [`#215`](https://github.com/qawolf/qawolf/pull/215)
- Use fixed qawolf version in generated CI files [`#217`](https://github.com/qawolf/qawolf/pull/217)
- innertext: cleanText before setting as an attribute [`#214`](https://github.com/qawolf/qawolf/pull/214)
- do not choose non-common clickable element types [`#211`](https://github.com/qawolf/qawolf/pull/211)

## [v0.6.0-alpha.0](https://github.com/qawolf/qawolf/compare/v0.5.14...v0.6.0-alpha.0) - 2019-12-02

### Merged

- Fix inner text attribute [`#209`](https://github.com/qawolf/qawolf/pull/209)
- 💪Revamp selector [`#201`](https://github.com/qawolf/qawolf/pull/201)
- qawolf gitlab command [`#206`](https://github.com/qawolf/qawolf/pull/206)
- Update generated CircleCI config with example for running on schedule [`#205`](https://github.com/qawolf/qawolf/pull/205)

## [v0.5.14](https://github.com/qawolf/qawolf/compare/v0.5.13...v0.5.14) - 2019-11-22

### Merged

- ⏭️ Only skip click on input if we type next [`#196`](https://github.com/qawolf/qawolf/pull/196)

## [v0.5.13](https://github.com/qawolf/qawolf/compare/v0.5.12...v0.5.13) - 2019-11-21

### Merged

- fix timeoutMs = 0 [`#190`](https://github.com/qawolf/qawolf/pull/190)

## [v0.5.12](https://github.com/qawolf/qawolf/compare/v0.5.11...v0.5.12) - 2019-11-21

### Merged

- Support all keyboards [`#179`](https://github.com/qawolf/qawolf/pull/179)
- Include child image src and alt [`#177`](https://github.com/qawolf/qawolf/pull/177)
- Update README to include Azure and CircleCI setup [`#174`](https://github.com/qawolf/qawolf/pull/174)
- chore: minor code refactoring [`#173`](https://github.com/qawolf/qawolf/pull/173)

## [v0.5.11](https://github.com/qawolf/qawolf/compare/v0.5.10...v0.5.11) - 2019-11-18

### Commits

- add back puppeteer types [`8888f68`](https://github.com/qawolf/qawolf/commit/8888f681689e66c549eec2598c1e2252faee3f81)
- remove unnecessary \ escape since we are not using handlebars now [`f211a2a`](https://github.com/qawolf/qawolf/commit/f211a2a5e801ae918e333abd0bff6cef4f2ca581)

## [v0.5.10](https://github.com/qawolf/qawolf/compare/v0.5.9...v0.5.10) - 2019-11-18

### Merged

- cli: add "qawolf azure" and "qawolf circleci" commands [`#171`](https://github.com/qawolf/qawolf/pull/171)
- qawolf docker: remove entrypoint & support parallel qawolf calls w/ multiple xvfb displays [`#167`](https://github.com/qawolf/qawolf/pull/167)
- findClickableAncestor: stop at expected clickable element types [`#166`](https://github.com/qawolf/qawolf/pull/166)
- Add title as strong match [`#162`](https://github.com/qawolf/qawolf/pull/162)
- upgrade puppeteer to 2.0 [`#161`](https://github.com/qawolf/qawolf/pull/161)

## [v0.5.9](https://github.com/qawolf/qawolf/compare/v0.5.8...v0.5.9) - 2019-11-12

### Merged

- Fix spacing in GitHub Actions workflow file [`#159`](https://github.com/qawolf/qawolf/pull/159)

## [v0.5.8](https://github.com/qawolf/qawolf/compare/v0.5.7...v0.5.8) - 2019-11-12

### Merged

- 👴Clickable ancestors [`#153`](https://github.com/qawolf/qawolf/pull/153)
- add packages/README.md [`#155`](https://github.com/qawolf/qawolf/pull/155)
- Add quickstart guides and explain QA Wolf in README [`#154`](https://github.com/qawolf/qawolf/pull/154)
- Allow waitUntil to take async function [`#152`](https://github.com/qawolf/qawolf/pull/152)

## [v0.5.7](https://github.com/qawolf/qawolf/compare/v0.5.6...v0.5.7) - 2019-11-11

### Merged

- Hotfix/fixup usage information [`#150`](https://github.com/qawolf/qawolf/pull/150)
- Feat/show version info [`#149`](https://github.com/qawolf/qawolf/pull/149)
- run tests on fork PRs [`#147`](https://github.com/qawolf/qawolf/pull/147)
- Warn for unknown commands [`#144`](https://github.com/qawolf/qawolf/pull/144)
- Wait for option with specified value in select [`#136`](https://github.com/qawolf/qawolf/pull/136)

### Fixed

- chore: fix up usage information [`#142`](https://github.com/qawolf/qawolf/issues/142)

## [v0.5.6](https://github.com/qawolf/qawolf/compare/v0.5.5...v0.5.6) - 2019-11-11

### Merged

- Include alt and src attributes on element [`#135`](https://github.com/qawolf/qawolf/pull/135)
- link to docs [`#134`](https://github.com/qawolf/qawolf/pull/134)

## [v0.5.5](https://github.com/qawolf/qawolf/compare/v0.5.4...v0.5.5) - 2019-11-10

### Commits

- include templates in npm [`5a2f27f`](https://github.com/qawolf/qawolf/commit/5a2f27f82a4db170c63b7483afd5f43499ba519c)

## [v0.5.4](https://github.com/qawolf/qawolf/compare/v0.5.3...v0.5.4) - 2019-11-10

### Merged

- CLI command to generate GitHub Action [`#132`](https://github.com/qawolf/qawolf/pull/132)

## [v0.5.3](https://github.com/qawolf/qawolf/compare/v0.5.2...v0.5.3) - 2019-11-08

### Commits

- reload element after sleep [`7b7096f`](https://github.com/qawolf/qawolf/commit/7b7096f9a80ab48fd4e53722cbc48b7ff11c5411)
- update test snapshot [`e4138ab`](https://github.com/qawolf/qawolf/commit/e4138abc46d0c2c8882fe6dbc9ebaca0cd2d9276)
- allow non-duplicate click on submit inputs [`dc13510`](https://github.com/qawolf/qawolf/commit/dc1351097b7abd38aa3490672be90f99fce17630)

## [v0.5.2](https://github.com/qawolf/qawolf/compare/v0.5.1...v0.5.2) - 2019-11-08

### Commits

- focus for empty value type steps [`0def9a9`](https://github.com/qawolf/qawolf/commit/0def9a9a0e89e53586e5d76e9b8c123ba05644b6)
- separate Enter and Tab to their own steps [`df11d9a`](https://github.com/qawolf/qawolf/commit/df11d9a2a71aff6a9a5b078d72b0bcfe285d166c)
- improve log [`9d3991b`](https://github.com/qawolf/qawolf/commit/9d3991b6798928ffc196ad93132fd7945beb2c5b)

## [v0.5.1](https://github.com/qawolf/qawolf/compare/v0.5.0...v0.5.1) - 2019-11-08

### Commits

- can select "description" select -&gt; can select "description" [`fcd6e71`](https://github.com/qawolf/qawolf/commit/fcd6e719f15c7f8ace1bb3f8edf6230abcebc25b)
- cli: do not offset dsstore as an available tests :) [`0883d5c`](https://github.com/qawolf/qawolf/commit/0883d5cea536ea3e3f88386e3b220eb54b0cca67)
- fix paste for multiple pages [`1afbc4a`](https://github.com/qawolf/qawolf/commit/1afbc4ada3448905315153a81e57aef5ed58649c)

## [v0.5.0](https://github.com/qawolf/qawolf/compare/v0.4.4...v0.5.0) - 2019-11-08

### Merged

- ⌨️ Support keyboard events ✏️Support content editables 🚫🤖🖱️do not record non-user scrolls [`#119`](https://github.com/qawolf/qawolf/pull/119)
- QAWolfPage: serialize elements as xpath to make debugging easier [`#117`](https://github.com/qawolf/qawolf/pull/117)

## [v0.4.4](https://github.com/qawolf/qawolf/compare/v0.4.3...v0.4.4) - 2019-11-03

### Merged

- Create dom replayer artifact [`#115`](https://github.com/qawolf/qawolf/pull/115)
- only error scrolling when we cannot scroll at all [`#113`](https://github.com/qawolf/qawolf/pull/113)
- rename scrollElement -&gt; scroll [`#111`](https://github.com/qawolf/qawolf/pull/111)
- waitUntil and getElementProperty helpers [`#110`](https://github.com/qawolf/qawolf/pull/110)
- simplify gif creation [`#109`](https://github.com/qawolf/qawolf/pull/109)
- Recorder: remove value interception and weird date logic [`#108`](https://github.com/qawolf/qawolf/pull/108)

## [v0.4.3](https://github.com/qawolf/qawolf/compare/v0.4.2...v0.4.3) - 2019-10-30

### Merged

- Set better defaults [`#107`](https://github.com/qawolf/qawolf/pull/107)
- "hasText" assertion [`#106`](https://github.com/qawolf/qawolf/pull/106)
- if an invalid test is passed, prompt the user to select a test to run [`#105`](https://github.com/qawolf/qawolf/pull/105)
- setup listr for qawolf record [`#104`](https://github.com/qawolf/qawolf/pull/104)
- Capture browser logs [`#103`](https://github.com/qawolf/qawolf/pull/103)
- Use html of all svg icon children rather than just path [`#102`](https://github.com/qawolf/qawolf/pull/102)
- runTest: clear cache [`#101`](https://github.com/qawolf/qawolf/pull/101)
- setup qawolf action to user dockerhub for speed [`#100`](https://github.com/qawolf/qawolf/pull/100)
- alias qawolf in Dockerfile [`#99`](https://github.com/qawolf/qawolf/pull/99)

## [v0.4.2](https://github.com/qawolf/qawolf/compare/v0.4.1...v0.4.2) - 2019-10-27

### Merged

- use toUpperCase instead of lodash upperCase which replaces _ with spaces [`#98`](https://github.com/qawolf/qawolf/pull/98)

## [v0.4.1](https://github.com/qawolf/qawolf/compare/v0.4.0...v0.4.1) - 2019-10-27

### Merged

- add github workflow to publish docker image [`#97`](https://github.com/qawolf/qawolf/pull/97)
- Tweak ux [`#96`](https://github.com/qawolf/qawolf/pull/96)

## [v0.4.0](https://github.com/qawolf/qawolf/compare/v0.3.5...v0.4.0) - 2019-10-27

### Merged

- qawolf record [`#92`](https://github.com/qawolf/qawolf/pull/92)
- Create GitHub package [`#91`](https://github.com/qawolf/qawolf/pull/91)
- Make jest environment generic [`#90`](https://github.com/qawolf/qawolf/pull/90)
- setup QAWolfPage to manage page instead of Browser [`#89`](https://github.com/qawolf/qawolf/pull/89)
- Improve test name code [`#87`](https://github.com/qawolf/qawolf/pull/87)
- rename job -&gt; workflow [`#86`](https://github.com/qawolf/qawolf/pull/86)
- @qawolf/recorder -&gt; @qawolf/screen [`#85`](https://github.com/qawolf/qawolf/pull/85)

## [v0.3.5](https://github.com/qawolf/qawolf/compare/v0.3.4...v0.3.5) - 2019-10-18

### Commits

- build not bootstrap in prepublish [`5b104a2`](https://github.com/qawolf/qawolf/commit/5b104a2b369f7bf28e2db9fc3cdf9774e4cc0f48)

## [v0.3.4](https://github.com/qawolf/qawolf/compare/v0.3.3...v0.3.4) - 2019-10-18

### Commits

- add missing dependencies [`d2cd14e`](https://github.com/qawolf/qawolf/commit/d2cd14e168f24cf2bb482b40ac8d1f020b40bb6d)

## [v0.3.3](https://github.com/qawolf/qawolf/compare/v0.3.2...v0.3.3) - 2019-10-18

### Commits

- minor change to force bump [`dc74492`](https://github.com/qawolf/qawolf/commit/dc74492a08940a3a7cecc9e2d2d121fe4e81ad36)
- build in prepublish [`dd22037`](https://github.com/qawolf/qawolf/commit/dd22037d36ca553cbf2d8c86e790ea5b78b23aa7)

## [v0.3.2](https://github.com/qawolf/qawolf/compare/v0.3.1...v0.3.2) - 2019-10-18

### Commits

- fix cli https://stackoverflow.com/a/34354713/230462 [`af8f1ea`](https://github.com/qawolf/qawolf/commit/af8f1eaccfd2e344d9f1988f93573de7eb641bda)

## [v0.3.1](https://github.com/qawolf/qawolf/compare/v0.3.0...v0.3.1) - 2019-10-18

### Commits

- upgrade dependencies [`ece53b3`](https://github.com/qawolf/qawolf/commit/ece53b36925a723a0fe94d8725dad1c5a246585d)
- fix bin reference [`9114596`](https://github.com/qawolf/qawolf/commit/91145964fcb9769934a35249c6b65fc89dd9bbc4)

## [v0.3.0](https://github.com/qawolf/qawolf/compare/v0.2.2...v0.3.0) - 2019-10-18

### Merged

- Record video in docker [`#84`](https://github.com/qawolf/qawolf/pull/84)
- Add aria-label and title to descriptor [`#83`](https://github.com/qawolf/qawolf/pull/83)
- Include icon content in descriptor [`#82`](https://github.com/qawolf/qawolf/pull/82)
- Use only present keys in denominator for share matching [`#81`](https://github.com/qawolf/qawolf/pull/81)
- Wait for desired select value to become available [`#80`](https://github.com/qawolf/qawolf/pull/80)
- Remove xpath from strong match keys [`#77`](https://github.com/qawolf/qawolf/pull/77)
- add back --ignore-scripts to bootstrap and remove --hoist [`#79`](https://github.com/qawolf/qawolf/pull/79)
- bootstrap: --hoist to share dependencies and do not --ignore-scripts so puppeteer gets installed [`#78`](https://github.com/qawolf/qawolf/pull/78)
- 🧹semantic tests & 🐙separate packages w/ lerna [`#75`](https://github.com/qawolf/qawolf/pull/75)

### Fixed

- prefix env variables with QAW_ [`#61`](https://github.com/qawolf/qawolf/issues/61)

## [v0.2.2](https://github.com/qawolf/qawolf/compare/v0.2.1...v0.2.2) - 2019-10-10

### Commits

- fix audit & update packages [`f494c30`](https://github.com/qawolf/qawolf/commit/f494c3035d22ffc392aac313cf9ddab3df44fe5b)

## [v0.2.1](https://github.com/qawolf/qawolf/compare/v0.2.0...v0.2.1) - 2019-10-10

### Commits

- include bin in npm package [`f5c3b89`](https://github.com/qawolf/qawolf/commit/f5c3b89a3d7b8b2bc031d4060ab0ac2c1d83b67f)

## v0.2.0 - 2019-10-10

### Merged

- 🔍 Refactor locate and match code [`#69`](https://github.com/qawolf/qawolf/pull/69)
- Change isMouseDown -&gt; isClick [`#70`](https://github.com/qawolf/qawolf/pull/70)
- RequestTracker [`#68`](https://github.com/qawolf/qawolf/pull/68)
- Add data attribute to locator [`#65`](https://github.com/qawolf/qawolf/pull/65)
- add SLEEP_AFTER_EACH env variable [`#67`](https://github.com/qawolf/qawolf/pull/67)
- only fail fast in browser tests, not for qawolf tests [`#66`](https://github.com/qawolf/qawolf/pull/66)
- fail test after first test fails [`#63`](https://github.com/qawolf/qawolf/pull/63)
- Use puppeteer for typing and clicking [`#62`](https://github.com/qawolf/qawolf/pull/62)
- 💻e2e tests [`#56`](https://github.com/qawolf/qawolf/pull/56)
- fix actions change test [`#59`](https://github.com/qawolf/qawolf/pull/59)
- Trigger change event when setting input value [`#55`](https://github.com/qawolf/qawolf/pull/55)
- Include select and textarea for type actions [`#54`](https://github.com/qawolf/qawolf/pull/54)
- use jest [`#53`](https://github.com/qawolf/qawolf/pull/53)
- Refactor planner and add tests [`#52`](https://github.com/qawolf/qawolf/pull/52)
- add device emulation [`#47`](https://github.com/qawolf/qawolf/pull/47)
- Remove unused scroll steps and improve cli formatting [`#46`](https://github.com/qawolf/qawolf/pull/46)
- findCandidateElements: filter out elements w/o height or width [`#45`](https://github.com/qawolf/qawolf/pull/45)
- Use correct job name in cli [`#44`](https://github.com/qawolf/qawolf/pull/44)
- Scroll up/down as user did [`#34`](https://github.com/qawolf/qawolf/pull/34)
- add SCREENSHOT_PATH env variable [`#41`](https://github.com/qawolf/qawolf/pull/41)
- Docker: link qawolf so we can run "qawolf" commands [`#40`](https://github.com/qawolf/qawolf/pull/40)
- 💾Save/run jobs in .qawolf [`#39`](https://github.com/qawolf/qawolf/pull/39)
- build dockerfile first to partition the action logs [`#36`](https://github.com/qawolf/qawolf/pull/36)
- Setup qawolf github action [`#33`](https://github.com/qawolf/qawolf/pull/33)
- ▶️ setup tests with github actions [`#31`](https://github.com/qawolf/qawolf/pull/31)
- Prepare to publish to npm [`#32`](https://github.com/qawolf/qawolf/pull/32)
- 🎭switch to Puppeteer [`#28`](https://github.com/qawolf/qawolf/pull/28)
- Support multiple windows [`#24`](https://github.com/qawolf/qawolf/pull/24)
- Initial CLI [`#19`](https://github.com/qawolf/qawolf/pull/19)
- Selector -&gt; Locator [`#23`](https://github.com/qawolf/qawolf/pull/23)
- Callbacks with screenshot [`#22`](https://github.com/qawolf/qawolf/pull/22)
- Setup Server/Client/Runner [`#20`](https://github.com/qawolf/qawolf/pull/20)
- "Smart" selector [`#16`](https://github.com/qawolf/qawolf/pull/16)
- Browser actions [`#11`](https://github.com/qawolf/qawolf/pull/11)
- plan workflow [`#5`](https://github.com/qawolf/qawolf/pull/5)
- Add cli skeleton [`#4`](https://github.com/qawolf/qawolf/pull/4)
- Add selenium tests to ci [`#2`](https://github.com/qawolf/qawolf/pull/2)
- add circleci config [`#1`](https://github.com/qawolf/qawolf/pull/1)

### Fixed

- 💾 Save/run jobs in cwd/.qawolf [`#35`](https://github.com/qawolf/qawolf/issues/35)
