export declare const isVisible: (element: Element, computedStyle?: CSSStyleDeclaration) => boolean;
export declare const isClickable: (element: HTMLElement, computedStyle: CSSStyleDeclaration) => boolean;
export declare const getClickableAncestor: (element: HTMLElement) => HTMLElement;
/**
 * @summary Returns the topmost isContentEditable ancestor. Editable areas can
 *   have HTML elements in them, and these elements emit events, but in general
 *   I don't think we want to keep track of anything within the editable area.
 *   For example, if you click a particular paragraph in a `contenteditable`
 *   div, we should just record it as a click/focus of the editable div.
 */
export declare const getTopmostEditableElement: (element: HTMLElement) => HTMLElement;
export declare const getElementText: (element: HTMLElement) => string | null;
